%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_siteinc: %define python_siteinc %(%{__python} -c "from distutils.sysconfig import get_python_inc; print get_python_inc()")}

Name:           python-numarray
Version:        1.5.1
Release:        1%{?dist}
Summary:        Python array manipulation and computational library

Group:          Development/Languages
License:        Distributable
URL:            http://www.stsci.edu/resources/software_hardware/numarray
Source0:        http://dl.sf.net/numpy/numarray-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Provides:   %{name}-devel = %{version}-%{release}

%description
Numarray provides array manipulation and computational capabilities
similar to those found in IDL, Matlab, or Octave. Using numarray, it is
possible to write many efficient numerical data processing applications
directly in Python without using any C, C++ or Fortran code (as well as
doing such analysis interactively within Python or PyRAF). For algorithms
that are not well suited for efficient computation using array facilities
it is possible to write C functions (and eventually Fortran) that can
read and write numarray arrays that can be called from Python.


%prep
%setup -q -n numarray-%{version}
find -name \*~ | xargs rm -f

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod +x $RPM_BUILD_ROOT%{python_sitearch}/numarray/examples/convolve/benchmark.py

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt Doc/*
%{python_siteinc}/numarray/
%dir %{python_sitearch}/numarray
%{python_sitearch}/numarray/LICENSE.txt
%{python_sitearch}/numarray/*.py
%{python_sitearch}/numarray/*.pyc
%{python_sitearch}/numarray/*.so
%{python_sitearch}/numarray/testdata.fits
%ghost %{python_sitearch}/numarray/*.pyo
%dir %{python_sitearch}/numarray/convolve
%{python_sitearch}/numarray/convolve/*.py
%{python_sitearch}/numarray/convolve/*.pyc
%{python_sitearch}/numarray/convolve/*.so
%ghost %{python_sitearch}/numarray/convolve/*.pyo
%dir %{python_sitearch}/numarray/fft
%{python_sitearch}/numarray/fft/*.py
%{python_sitearch}/numarray/fft/*.pyc
%{python_sitearch}/numarray/fft/*.so
%ghost %{python_sitearch}/numarray/fft/*.pyo
%dir %{python_sitearch}/numarray/examples
%{python_sitearch}/numarray/examples/*.py
%{python_sitearch}/numarray/examples/*.pyc
%ghost %{python_sitearch}/numarray/examples/*.pyo
%dir %{python_sitearch}/numarray/examples/convolve
%{python_sitearch}/numarray/examples/convolve/*.py
%{python_sitearch}/numarray/examples/convolve/*.pyc
%{python_sitearch}/numarray/examples/convolve/*.so
%ghost %{python_sitearch}/numarray/examples/convolve/*.pyo
%dir %{python_sitearch}/numarray/nd_image
%{python_sitearch}/numarray/nd_image/*.py
%{python_sitearch}/numarray/nd_image/*.pyc
%{python_sitearch}/numarray/nd_image/*.so
%ghost %{python_sitearch}/numarray/nd_image/*.pyo
%dir %{python_sitearch}/numarray/image
%{python_sitearch}/numarray/image/*.py
%{python_sitearch}/numarray/image/*.pyc
%{python_sitearch}/numarray/image/*.so
%ghost %{python_sitearch}/numarray/image/*.pyo
%dir %{python_sitearch}/numarray/mlab
%{python_sitearch}/numarray/mlab/*.py
%{python_sitearch}/numarray/mlab/*.pyc
%ghost %{python_sitearch}/numarray/mlab/*.pyo
%dir %{python_sitearch}/numarray/matrix
%{python_sitearch}/numarray/matrix/*.py
%{python_sitearch}/numarray/matrix/*.pyc
%ghost %{python_sitearch}/numarray/matrix/*.pyo
%dir %{python_sitearch}/numarray/linear_algebra
%{python_sitearch}/numarray/linear_algebra/*.py
%{python_sitearch}/numarray/linear_algebra/*.pyc
%{python_sitearch}/numarray/linear_algebra/*.so
%ghost %{python_sitearch}/numarray/linear_algebra/*.pyo
%dir %{python_sitearch}/numarray/ma
%{python_sitearch}/numarray/ma/*.py
%{python_sitearch}/numarray/ma/*.pyc
%{python_sitearch}/numarray/ma/Legal.htm
%ghost %{python_sitearch}/numarray/ma/*.pyo
%dir %{python_sitearch}/numarray/random_array
%{python_sitearch}/numarray/random_array/*.py
%{python_sitearch}/numarray/random_array/*.pyc
%{python_sitearch}/numarray/random_array/*.so
%ghost %{python_sitearch}/numarray/random_array/*.pyo
%dir %{python_sitearch}/numarray/codegenerator
%{python_sitearch}/numarray/codegenerator/*.py
%{python_sitearch}/numarray/codegenerator/*.pyc
%ghost %{python_sitearch}/numarray/codegenerator/*.pyo


%changelog
* Wed Feb 15 2006 - Orion Poplawski <orion@cora.nwra.com> - 1.5.1-1
- Update to 1.5.1

* Thu Aug 11 2005 - Orion Poplawski <orion@cora.nwra.com> - 1.3.3-4
- Use sitearch macro instead of sitelib

* Thu Aug 11 2005 - Orion Poplawski <orion@cora.nwra.com> - 1.3.3-3
- Properly %ghost .pyo files

* Tue Aug 09 2005 - Orion Poplawski <orion@cora.nwra.com> - 1.3.3-2
- Cleanup
- Added -devel provides

* Tue Aug 02 2005 - Orion Poplawski <orion@cora.nwra.com> - 1.3.3-1
- Initial release for Fedora Extras
